Speria Docs
AnalysisV1WorkspacesWorkspace_idAnalysesBatch

Batch get analyses

GET
/v1/workspaces/{workspace_id}/analyses/batch

Authorization

BearerAuth
AuthorizationBearer <token>

Use an API key issued from Speria

In: header

Path Parameters

workspace_id*string

Query Parameters

ids*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/01j00000000000000000000000/analyses/batch?ids=01B%2C01A"
{  "data": [    {      "id": "01B",      "source_type": "recording_session",      "customer_visit_id": "",      "recording_session_id": "rs_1",      "transcript_ids": [],      "version_id": "",      "created_at": "2026-07-02T00:00:00Z",      "results": []    },    {      "id": "01A",      "source_type": "karte",      "customer_visit_id": "cv_1",      "recording_session_id": "",      "transcript_ids": [        "01j00000000000000000000000",        "01j00000000000000000000000"      ],      "version_id": "version_1",      "created_at": "2026-07-01T00:00:00Z",      "results": [        {          "type": "summary",          "result": {            "text": "done"          }        },        {          "type": "score",          "result": {            "score": 80          }        }      ]    }  ]}
{  "error": {    "code": "api_key_required",    "message": "API key is required"  }}
{  "error": {    "code": "insufficient_scope",    "message": "This endpoint requires the `analyses:read` scope"  }}
{  "error": {    "code": "not_found",    "message": "Resource not found"  }}
{  "error": {    "code": "validation_failed",    "message": "ids must contain at most 20 items"  }}
{  "error": {    "code": "upstream_error",    "message": "Service temporarily unavailable"  }}